Freeciv-3.1: /fast/freeciv/nightly/S3_1/tools/ruledit/ruledit.cpp File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions | Variables
ruledit.cpp File Reference
`#include "fc_prehdrs.h"`
`#include <stdlib.h>`
`#include <signal.h>`
`#include "fc_cmdline.h"`
`#include "fciconv.h"`
`#include "fcintl.h"`
`#include "log.h"`
`#include "registry.h"`
`#include "fc_cmdhelp.h"`
`#include "fc_interface.h"`
`#include "version.h"`
`#include "sernet.h"`
`#include "settings.h"`
`#include "tools_fc_interface.h"`
`#include "comments.h"`
`#include "ruledit_qt.h"`
`#include "ruledit.h"`

Go to the source code of this file.

## Functions

static int | re_parse_cmdline (int argc, char *argv[])
int | main (int argc, char **argv)
void | show_experimental (QWidget *wdg)

## Variables

struct ruledit_arguments | reargs
static int | fatal_assertions = -1

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Main entry point for freeciv-ruledit

Definition at line 63 of file ruledit.cpp.

## ◆ re_parse_cmdline()

static int re_parse_cmdline | ( | int | argc,
|  | char * | argv[]
| ) |  |

static

Parse freeciv-ruledit commandline.

Definition at line 142 of file ruledit.cpp.

Referenced by main().

## ◆ show_experimental()

void show_experimental | ( | QWidget * | wdg | ) |

Show widget if experimental features enabled, hide otherwise

Definition at line 216 of file ruledit.cpp.

Referenced by tab_achievement::tab_achievement(), tab_building::tab_building(), tab_enabler::tab_enabler(), tab_extras::tab_extras(), tab_good::tab_good(), tab_gov::tab_gov(), tab_multiplier::tab_multiplier(), tab_tech::tab_tech(), tab_terrains::tab_terrains(), and tab_unit::tab_unit().

## Variable Documentation

## ◆ fatal_assertions

int fatal_assertions = -1

static

Definition at line 58 of file ruledit.cpp.

Referenced by client_main(), con_log_init(), fc_assert_set_fatal(), log_init(), main(), and re_parse_cmdline().

## ◆ reargs

struct ruledit_arguments reargs

Definition at line 56 of file ruledit.cpp.

Referenced by main(), re_parse_cmdline(), and ruledit_gui::setup().